/**
 * CSS Custom - Dioqa Starter Custom
 * Fichier principal pour vos styles custom
 *
 * @package Dioqa_Starter_Custom
 */

/* ========================================
   IMPORTS DES SECTIONS
   ======================================== */

/* Importez ici les fichiers CSS de vos sections custom */
/* Exemple :
@import url('sections/ma-section.css');
@import url('sections/autre-section.css');
*/

/* ========================================
   HEADER & FOOTER CUSTOM
   ======================================== */

/* Styles pour votre header personnalisé */
/* Exemple :
.site-header {
  background-color: var(--bs-primary);
  padding: 1rem 0;
}
*/

/* Styles pour votre footer personnalisé */
/* Exemple :
.site-footer {
  background-color: var(--color-gray-darker);
  color: var(--color-white);
  padding: 3rem 0;
}
*/

/* ========================================
   STYLES GLOBAUX DU PROJET
   ======================================== */

/* Ajoutez vos styles globaux ici */

/* ========================================
   COMPOSANTS CUSTOM
   ======================================== */

/* Vos composants personnalisés */
/* Exemple :
.custom-card {
  background: white;
  border-radius: var(--radius-lg);
  padding: 2rem;
  box-shadow: var(--shadow-md);
}
*/

/* ========================================
   RESPONSIVE
   ======================================== */

@media (max-width: 1199px) {
  /* Desktop petit */
}

@media (max-width: 991px) {
  /* Tablette */
}

@media (max-width: 767.98px) { 

.p-bandeau img {
    height: 250px;
}

.presentation {
    background-size: 50% !important;
    background-position: bottom right  !important;
}

.etape,
.p-160 {
       padding: 45px 0px !important
}

.etape-item {
margin: 0 0 50px !important;
}

}




h1, h2
.h1, .h2 {
  font-size:38px;
  font-weight:bold;
  line-height: 35px;
}

p {
  color: rgb(75, 75, 75);
}

.color-vert {
  color: #1a8373
}

.p-160 {
  padding:160px 0px;
}

.p-80 {
  padding:80px 0px;
}

.site-header {
  border-bottom:1px solid #dce6e5;
  position:sticky;
  top:0;
  background:#FFF;
      z-index: 1;
}

.p-bandeau {
  padding:24px 24px 0px
}

.p-bandeau img {
    width: 100%;
    height: 560px ;
    object-fit: cover;
    border-radius: 16px;
    box-shadow: rgba(0, 0, 51, 0.25) 0px 25px 50px -12px;
}

.presentation {
   background: url('/wp-content/uploads/2026/02/Background-presentation.svg');
    background-attachment: initial ;
    background-size: contain ;
    background-repeat: no-repeat ;
    background-position: 100% 50% ;
}

.padding-inner {
  padding:40px 0px 60px;
}

.padding-inner-real {
  padding:20px;
}

.btn-secondary {
  background: #c56f6a;
  padding: 10px 20px ;
  color: #FFF;
  font-weight:bold;
  text-decoration:none;
  border-radius: 50px;
  border:1px solid #c56f6a;
  display:inline-block;
}

.btn-secondary:hover {
  background: #FFF;
  color: #c56f6a;
}

.btn-outline {
  background: #FFF;
  padding: 10px 20px ;
  color: #1a8373;
  font-weight:bold;
  text-decoration:none;
  border-radius: 50px;
  border:1px solid #1a8373;
   display:inline-block;
}

.btn-outline:hover {
  background: #1a8373;
  color: #FFF;
}

.etape {
  padding: 160px 0px;
  background:
    linear-gradient(rgba(255,255,255,0.8), rgba(255,255,255,0.8)),
    url(/wp-content/uploads/2026/02/bck-plak-home-01.png) no-repeat center;
  background-size: cover;
  margin-bottom:35px
}

.isolation {
  background:
    linear-gradient(rgba(255,255,255,0.8), rgba(255,255,255,0.8)),
    url(/wp-content/uploads/2026/02/00-1920w.webp) no-repeat center;
  background-size: cover;
  margin-bottom:35px
}

.etape h2 {
    position: sticky;
    top: 150px;
}

.etape-item {
    background-color: #fbfbfa;
    padding: 16px 16px 32px ;
    border-radius:24px;
    box-shadow: rgba(0, 0, 51, 0.1) 0px 20px 25px -5px, rgba(0, 0, 51, 0.04) 0px 10px 10px -5px;
    background-image: url(/wp-content/uploads/2026/02/Cards.svg) ;
   background-size: auto;
    background-repeat: no-repeat !important;
    margin: 0 0 100px ;
    background-position: right bottom;
}

.etape-item {
  will-change: transform, opacity;
  transition: transform 0.1s linear, opacity 0.1s linear;
}


.etape-scroll {
  transition: transform 0.3s ease-out, opacity 0.3s ease-out;
}

.etape-item .etape-numero {
    color: #c56f6a;
    font-weight: 700;
    display: initial;
        font-size: 80px;
}

.etape-item h3 {
  font-size:24px;
  color:#1a8373;
  font-weight:bold
}

.roue {
  position: relative;
  overflow: visible;
}


.marquee-wrapper {
  overflow: hidden;
  width: 100%;
}

.marquee-track {
  display: flex;
  width: fit-content;
  animation: scroll-marquee 40s linear infinite;
}

.marquee-item {
  flex: 0 0 auto;
  margin: 0 30px;
  display: flex;
  align-items: center;
}

.marquee-item img {
  max-height: 80px;
  height: auto;
  width: auto;
  display: block;
}
  
@keyframes scroll-marquee {
  0% {
    transform: translateX(0);
  }
  100% {
    transform: translateX(-50%);
  }
}


.img-plak-home {
   border-radius: 16px;
  box-shadow: rgba(0, 0, 51, 0.1) 0px 20px 25px -5px, rgba(0, 0, 51, 0.04) 0px 10px 10px -5px;
}

.img-services {
  height:400px;
  width:100%;
  object-fit:cover;
  border-radius: 16px;
  box-shadow: rgba(0, 0, 51, 0.1) 0px 20px 25px -5px, rgba(0, 0, 51, 0.04) 0px 10px 10px -5px;
}

.icon-service {
  width:64px;
  height:64px;
}

.font-16 {
  font-size:16px;
}

.font-32,
.font-32 h1 {
  font-size:32px;
  font-weight:normal
}


.font-28 h2 {
  font-size:28px;
  font-weight:normal
}

.animate-left, .animate-right {
  opacity: 0;
  transform: translateX(100px);
  transition: opacity 0.8s ease-out, transform 0.8s ease-out;
}

.animate-left {
  transform: translateX(-100px);
}

.animate-visible {
  opacity: 1 !important;
  transform: translateX(0) !important;
}

.reassurance-phn {
    padding: 40px 24px;
    border-top-style: solid;
    border-top-color: #1a6f94 ;
    border-bottom-style: solid ;
    border-bottom-color: #1a6f94 ;
    background-image: linear-gradient(405deg, #28a9e0 0, #29cfb6 100%) ;
    background-origin: border-box ;
    border-top-width: 0 ;
    border-bottom-width: 0 ;
}

.text-reassurance p{
  color:#FFF;
  margin-bottom:0px;
  width:75%;
  margin:auto
}

.img-isolation {
  height:400px;
  width:100%;
  object-fit:cover;
   border-radius: 16px;
  box-shadow: rgba(0, 0, 51, 0.1) 0px 20px 25px -5px, rgba(0, 0, 51, 0.04) 0px 10px 10px -5px;
}

footer {
   background-image: url('/wp-content/uploads/2026/02/Cards.svg');
background-repeat: no-repeat;
    background-color: #f9f9f9;
    background-size: contain;
    background-position: bottom right;
        padding-bottom: 10px;
}

.link-footer,
.text-footer {
  color:#000;
  text-decoration:none;
}

.link-footer:hover {
  color:#1a6f94;
  text-decoration:none;
}

.social-links a svg path {
  fill : #1a6f94
}

.social-links a svg:hover path {
  fill : #c56f6a
}

.h1-service h1 {
  font-size:26px;
}

.section-parallax {
    background-repeat: no-repeat;
}

/* Parallaxe uniquement desktop (évite bugs iOS) */
@media (min-width: 992px) {
    .section-parallax {
        background-attachment: fixed;
    }
}

.section-parallax {
  border-bottom: 1px solid rgba(220,230,229,1);
}

.section-parallax h2,
.texte-ref h2 {
  font-size:28px;
  font-weight:normal
}

.section-parallax h3,
.texte-ref h3 {
    font-size:24px;
  font-weight:normal
}

.img-service-height {
      height: 450px;
    object-fit: cover;
    width: 100%;
}

.reveal {
    opacity: 0;
    transition: all 0.9s cubic-bezier(.215,.61,.355,1);
    will-change: transform, opacity;
}

.reveal-left  { transform: translateX(-80px); }
.reveal-right { transform: translateX(80px); }
.reveal-up    { transform: translateY(-80px); }
.reveal-down  { transform: translateY(80px); }

.reveal.active {
    opacity: 1;
    transform: translate(0,0);
}


.gform-theme--foundation .gform_fields {
  row-gap:10px !important;
}

.gform-theme--foundation .gform_fields input,
.gform-theme--foundation .gform_fields textarea{
    background-color: rgba(15, 63, 84, 0.16) !important;
      border-radius: 16px !important;
          color: #1a6f94 !important;
          border:none !important
}

.gform-theme--foundation  input#gform_submit_button_1 {
  background: #c56f6a !important;
    padding: 10px 20px !important;
    color: #FFF !important;
    font-weight: bold !important;
    text-decoration: none !important;
    border-radius: 50px !important;
    border: 1px solid #c56f6a !important;
    display: inline-block !important;
}

.gform-theme--foundation input#gform_submit_button_1:hover {
background: #FFF !important;
    color: #c56f6a !important;
}

.bg-form {
  background: #f3fefd;
  box-shadow: rgba(0, 0, 51, 0.1) 0px 20px 25px -5px,
    rgba(0, 0, 51, 0.04) 0px 10px 10px -5px;
        border-radius: 16px;
}

.breadcrumb li::after {
  display:none;
}

.breadcrumb li a {
  color: #c56f6a;
}

.breadcrumb li a:hover {
  color: #1a8373;
}

@media (max-width: 767.98px) { 
.p-bandeau img {
  height:280px;
}

.img-services,
.img-isolation,
.img-service-height {
  height:240px
}
}


@media (min-width: 768px) and (max-width: 1199.98px) {

.p-bandeau img {
  height:280px;
}

.img-services,
.img-isolation,
.reveal-up .img-service-height {
  height:300px
}

.etape,
.p-160 {
    padding: 80px 0px;
}

.presentation {
    background-size: 50%;
    background-position: 100% 100%;
}
}

.footer-menu__list {
    list-style: none;
    padding: 0;
    margin: 0;
}

.footer-menu__list li {
    margin-bottom: 8px;
}

.footer-menu__list a {
    text-decoration: none;
    color: #000;
}

.footer-menu__list a:hover {
  color: #1a8373
}

.nav-link, .menu-item a {
  min-height:inherit;
}

.site-footer .p-60{
  padding:60px 0px
}

.site-footer .h4 {
  color:#c56f6a
}

.footer-copyright a{
  color:#c56f6a;
}

.footer-copyright a:hover{
text-decoration:none
}

.accordion-button {
  background-color: transparent !important;
  color: #383648 !important;
  font-size: 18px;
  font-weight: 500;
  box-shadow: none !important;
  padding: 10px 0;
}

.accordion-item {
  background-color: transparent !important;
  border: none !important;
  border-bottom: 1px solid #dfdfdf !important;
}

.accordion-button:not(.collapsed) {
  font-weight: 700;
  color: #1a6f94 !important;
}

.accordion-item:last-of-type .accordion-button.collapsed,
.accordion-item:last-of-type .accordion-collapse,
.accordion-item:last-of-type {
  border-radius: 0px !important;
}

@keyframes tiBounce {
  0%, 100% {
    transform: translateY(0);
  }
  50% {
    transform: translateY(-8px);
  }
}

.ti-widget.ti-goog a.ti-header {
  display: inline-block; /* important pour que le transform fonctionne bien */
  animation: tiBounce 1s ease-in-out infinite;
}

.contact-infos a{
  color:#c56f6a
}

.contact-infos a:hover{
  text-decoration:none
}


.inner-ancre-real {
  top: 0;
    width: 100%;
    height: 100%;
    display: flex;
    align-items: end;
    justify-content: center;
}

.inner-ancre-real h2{
  font-size:20px;
  color:#FFF
}

.social-link-instagram:hover svg {
  fill: #c56f6a
}

.p-80 {
  padding:80px 0px;
}

.ancre-real h2 {
    transition: transform 0.3s ease;
}

.ancre-real:hover h2 {
    transform: translateY(-6px);
}

.scroll-section {
    position: relative;
}

.scroll-indicator {
    position: absolute;
    bottom: 30px;
    left: 50%;
    transform: translateX(-50%);
    animation: scrollBounce 2s infinite;
    cursor: pointer;
}

.scroll-indicator svg {
    display: block;
}

@keyframes scrollBounce {
    0% { transform: translate(-50%, 0); }
    50% { transform: translate(-50%, 8px); }
    100% { transform: translate(-50%, 0); }
}

/* Container fixe */
.btn-sticky {
    position: fixed;
    right: 0;
    top: 50%;
    transform: translateY(-50%);
    z-index: 9999;
    display: flex;
    flex-direction: column;
    gap: 10px;
}

/* Chaque bouton */
.btn-sticky a {
    display: flex;
    align-items: center;
    background: #FFF; /* adapte couleur */
    color: #463939;
    text-decoration: none;
    padding: 12px 15px;
    overflow: hidden;
    /* IMPORTANT */
    transform: translateX(70%);
    transition: transform 0.4s ease;
    box-shadow: rgba(0, 0, 51, 0.1) 0px 20px 25px -5px, rgba(0, 0, 51, 0.04) 0px 10px 10px -5px;
}

/* Icône */
.btn-sticky img {
    width: 30px;
    height: 30px;
    flex-shrink: 0;
}

/* Texte */
.btn-sticky span {
    margin-left: 10px;
    white-space: nowrap;
    opacity: 0;
    transition: opacity 0.3s ease;
}

/* Hover */
.btn-sticky a:hover {
    transform: translateX(0);
}

.btn-sticky a:hover span {
    opacity: 1;
}

@media (max-width: 767.98px) { 
  .btn-sticky a {
  transform: translateX(35%);
  }
 }

 #mega-menu-wrap-menu-header #mega-menu-menu-header li.mega-align-bottom-left > a.mega-menu-link {
    transition: border-radius 0.3s ease;
}

.page h2 {
  font-size:25px;
}

.page h3 {
  font-size:20px;
}